Download it now!
Bug 136442 - Crash when opening Data Sources in a particular document
Summary: Crash when opening Data Sources in a particular document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: high critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-09-03 15:43 UTC by Buovjaga
Modified: 2020-09-11 18:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
GDB trace of crash (27.98 KB, text/plain)
2020-09-03 15:43 UTC, Buovjaga
Details
bt with debug symbols (11.00 KB, text/plain)
2020-09-03 16:20 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2020-09-03 15:43:47 UTC
Created attachment 165109 [details]
GDB trace of crash

1. Download and unzip attachment 161216 [details] from bug 133337
2. Open test-bug.odt
3. Click the Data Sources button in the mail merge toolbar (Ctrl-Shift-F4)

Bibisected with linux-64-7.1 to these two:

https://git.libreoffice.org/core/commit/7b314c6aceb51d01b9b4314764b0f5852b4fb655
drop now unused DBTreeListBox

https://git.libreoffice.org/core/commit/5f7cf9ccba25a94c275ec67936dc29f0adb4129a
use InterimDBTreeListBox

Adding Cc: to Caolán McNamara

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 2db30aa0206ca3d9d5a665d550820d8fcbcff4b9
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 3 September 2020
Comment 1 Julien Nabet 2020-09-03 15:58:36 UTC
Just for the record, I don't reproduce this on pc Debian x86-64 with master sources updated today + kf5 rendering.

However when clicking on datasource button, I don't see any datasource and console displays this:
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image1
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image2
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image3
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image4
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image5
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl.builder:470176:470176:vcl/source/window/builder.cxx:3950: unknown class: small-button
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image1
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image2
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image3
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image4
warn:vcl:470176:470176:vcl/source/window/builder.cxx:732: missing elements of image/stock: image5
warn:forms.component:470176:470176:forms/source/component/DatabaseForm.cxx:2793: DBG_UNHANDLED_EXCEPTION in implEnsureConnection exception: com.sun.star.container.NoSuchElementException message: Addresses /home/julien/lo/libreoffice/dbaccess/source/core/dataaccess/databasecontext.cxx:303
Comment 2 Buovjaga 2020-09-03 16:14:46 UTC
Forgot to mention that I repro on Windows as well
Comment 3 Julien Nabet 2020-09-03 16:20:40 UTC
Created attachment 165110 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this with gen rendering.
Comment 4 Julien Nabet 2020-09-03 16:21:45 UTC
Just extra info:
#4  0x00007fffd9346aaf in dbaui::SbaTableQueryBrowser::getObjectEntry (this=0x70860e0, _rDataSource="Addresses", _rCommand="Sheet1", nCommandType=0, ppDataSourceEntry=0x7ffffffeb1d0, 
    ppContainerEntry=0x7ffffffeb1c8, bExpandAncestors=false, _rxConnection=...) at dbaccess/source/ui/browser/unodatbr.cxx:1161
1161	                    rTreeView.copy_iterator(*xObject, *xCommandType);

(gdb) p xObject
$2 = std::unique_ptr<weld::TreeIter> = {get() = 0x0}
(gdb) p xCommandType
$3 = std::unique_ptr<weld::TreeIter> = {get() = 0x70b5c30}
Comment 5 Commit Notification 2020-09-04 20:23:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f54edfb023d9007faa23b6b6ffa1f4d47ccd1fac

tdf#136442 a null return from GetEntryPosByName is allowed

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Buovjaga 2020-09-05 05:52:38 UTC
Working now, thanks!

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: bb64b19e3e8942e610db2d3596d859f7c7864811
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 5 September 2020
Comment 7 BogdanB 2020-09-11 18:36:28 UTC
Verified in
Version: 7.1.0.0.alpha0+
Build ID: 3a22f5a589e822e7ca8bbb00e38a3aff93ed7ba5
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (ro_RO.UTF-8); UI: en-US
Calc: threaded